Subject: bug#12571: 24.2.50; Eshell for loop stuck when using shell commands

From: Chong Yidong <[email-masked]>
Date: Sat, 20 Oct 2012 19:56:11 +0800

Glenn Morris <[email-masked]> writes:

>> 3. Try `for f in * { *echo $f }
>>
>> The same file name will be repeated over and over again.
>
> Thanks for the report. It works fine in 23.4, but not in 24.1.
> It seems to be due to r106243:
>
> http://lists.gnu.org/archive/html/emacs-diffs/2011-10/msg00279.html

I am not sure I really understand how eshell-rewrite-for-command works,
but I checked in a fix that seems to fix this bug without breaking the
fix for Bug#9907.